summaryrefslogtreecommitdiff
path: root/dev-python/xmlschema
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-07 16:46:28 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-07 16:46:28 +0000
commitad104f434e3a64aaeb730713e6e729a6623d3d78 (patch)
tree5cc07213e9ec7a0a9b37ac9bad3fde76d4313dbc /dev-python/xmlschema
parent66803ee5a4746c216c857aeb8747130c4eb361e2 (diff)
downloadbaldeagleos-repo-ad104f434e3a64aaeb730713e6e729a6623d3d78.tar.gz
baldeagleos-repo-ad104f434e3a64aaeb730713e6e729a6623d3d78.tar.xz
baldeagleos-repo-ad104f434e3a64aaeb730713e6e729a6623d3d78.zip
Adding metadata
Diffstat (limited to 'dev-python/xmlschema')
-rw-r--r--dev-python/xmlschema/Manifest1
-rw-r--r--dev-python/xmlschema/xmlschema-2.2.0.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/xmlschema/Manifest b/dev-python/xmlschema/Manifest
index 7d772991a78e..8581fcd5ba89 100644
--- a/dev-python/xmlschema/Manifest
+++ b/dev-python/xmlschema/Manifest
@@ -1 +1,2 @@
DIST xmlschema-2.1.1.tar.gz 482988 BLAKE2B 8bcd66518e99b6df96a48408830388cba33530b8787ab733f5710e8ebdee3243cbbe8968c25060396c4d0e577dd40ae2438dab7afae5958386c886f235b3d96c SHA512 2c55de21ab4aaba9f499a0b348e60a50939af41b5ce43787c339ce86e4067681acf28b155bfba90346b1e8d976c468ad0ca21f73f76afc55bd700b1866bba945
+DIST xmlschema-2.2.0.tar.gz 485104 BLAKE2B 3cafd67149043e8ee8a720afd08f4a37b343fcc245302d2754230e08a8c624f507cd1f8aca884e7d75717a9e794b936bf1c54b3d98a37f3ec687d97e3f6f919a SHA512 f613a8f49f3b373398e097017407cba4e6801886ef7ff479906d5180bd2a7020b2a2fb812aae444210b82ab2f8b12438b639c4418e2d5bedaa396fcaa69271f5
diff --git a/dev-python/xmlschema/xmlschema-2.2.0.ebuild b/dev-python/xmlschema/xmlschema-2.2.0.ebuild
new file mode 100644
index 000000000000..cddf92e972f7
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-2.2.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="
+ https://github.com/sissaschool/xmlschema/
+ https://pypi.org/project/xmlschema/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/elementpath-5[${PYTHON_USEDEP}]
+ >=dev-python/elementpath-4.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ "${EPYTHON}" tests/test_all.py -v || die "Tests fail with ${EPYTHON}"
+}